View Issue Details

IDProjectCategoryView StatusLast Update
0015974ScribusInternalpublic2019-12-08 21:24
Reporterale Assigned Toale  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.5.6.svn 
Target VersionFixed in Version1.5.6.svn 
Summary0015974: Simplify CanvasMode::setModeCursor() by using CanvasMode::modeCursor()
Descriptionis there a real performance reason for not doing

CanvasMode::CanvasModeSetCursor()
{
     m_view->setCursor(modeCursor());
}

also, ScribusMainWindow::setAppMode() does not seem to exist anymore and it might be possible to remove the comment at the beginning of setModeCursor().
TagsNo tags attached.
PatchYes

Activities

jghali

2019-11-29 23:23

administrator   ~0047166

Patch, where are thou?

ale

2019-11-30 08:01

manager   ~0047169

^^^

ale

2019-11-30 08:04

manager  

patch-where-are-thou.png (156,264 bytes)
patch-where-are-thou.png (156,264 bytes)

jghali

2019-12-02 10:11

administrator   ~0047188

Applied!

Issue History

Date Modified Username Field Change
2019-11-29 10:31 ale New Issue
2019-11-29 10:31 ale Summary CanvasMode::modeCursor() and CanvasMode::SetCursor are 99% the same function... => [PATCH] CanvasMode::modeCursor() and CanvasMode::SetCursor are 99% the same function...
2019-11-29 10:31 ale Patch No => Yes
2019-11-29 10:31 ale Description Updated View Revisions
2019-11-29 10:32 ale Description Updated View Revisions
2019-11-29 23:23 jghali Note Added: 0047166
2019-11-30 08:01 ale Note Added: 0047169
2019-11-30 08:04 ale File Added: patch-where-are-thou.png
2019-12-02 10:11 jghali Summary [PATCH] CanvasMode::modeCursor() and CanvasMode::SetCursor are 99% the same function... => Simplify CanvasMode::setModeCursor() by using CanvasMode::modeCursor()
2019-12-02 10:11 jghali Assigned To => jghali
2019-12-02 10:11 jghali Status new => resolved
2019-12-02 10:11 jghali Resolution open => fixed
2019-12-02 10:11 jghali Fixed in Version => 1.5.6.svn
2019-12-02 10:11 jghali Note Added: 0047188
2019-12-02 10:11 jghali Assigned To jghali => ale
2019-12-08 21:24 cbradney Status resolved => closed